Download it now!
Bug 78689 - pdfimport :Table border & underlines overlap with text
Summary: pdfimport :Table border & underlines overlap with text
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha1
Hardware: Other All
: medium normal
Assignee: vvort
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-14 09:11 UTC by Jaise James
Modified: 2014-05-26 06:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
underline overlap with text (40.53 KB, image/jpeg)
2014-05-14 09:12 UTC, Jaise James
Details
Actual file (66.20 KB, application/pdf)
2014-05-14 09:12 UTC, Jaise James
Details
Imported draw file (49.05 KB, application/vnd.oasis.opendocument.graphics)
2014-05-14 09:13 UTC, Jaise James
Details
Fix v1 (9.92 KB, patch)
2014-05-19 10:46 UTC, vvort
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaise James 2014-05-14 09:11:47 UTC
Table border & underlines overlap with text
Comment 1 Jaise James 2014-05-14 09:12:22 UTC
Created attachment 99024 [details]
underline overlap with text
Comment 2 Jaise James 2014-05-14 09:12:50 UTC
Created attachment 99025 [details]
Actual file
Comment 3 Jaise James 2014-05-14 09:13:28 UTC
Created attachment 99026 [details]
Imported draw file
Comment 4 Jorendc 2014-05-16 16:52:56 UTC
Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha1+ Build ID: cc4a3f1a88afff114311bddf462ca4bc00a485c7
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-05-12_09:05:53

Kind regards,
Joren
Comment 5 vvort 2014-05-19 08:46:15 UTC
I have some thoughts about this problem and I will try to fix it.
Comment 6 vvort 2014-05-19 10:46:02 UTC
Created attachment 99319 [details]
Fix v1

Here is the patch, which probably should fix the problem.
It needs testing, with different documents, especially on Linux.
Comment 7 vvort 2014-05-20 06:09:16 UTC
Patch was sent for review
https://gerrit.libreoffice.org/9410
Comment 8 Commit Notification 2014-05-20 11:56:43 UTC
Vort committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be7ec1384e85360179f5645d9775c5e6605d5a0f

fdo#78689 PDF Import: get font's ascent value from different source



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Jaise James 2014-05-26 04:51:40 UTC
Thank for you fixing the bug.

I tested in the new dev build. Underline spacing is Correctly. 

But length of Line is shorter than actual pdf file. 

It is Clearly visible in header line. 

Line is start at beginning of word & End at end the of Word/sentence. But here it is end 4px before that.
Comment 10 vvort 2014-05-26 06:36:22 UTC
This bug is not about incorrect underline positions.
It is about incorrect character (text) positions.

There is no correct way in Draw to specify per-character kerning.
That's why text sometimes wider that needed, sometimes narrower.

Here is more specific report: Bug 49705